﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

namespace BinaryIntellect.UI
{
    public class GraphicButton : WebControl, IPostBackEventHandler
    {
        public GraphicButton(): base(HtmlTextWriterTag.Span)
        {

        }

        public event EventHandler Click;

        public string ImageUrl
        {
            get { return ViewState["imgurl"] as string; }
            set { ViewState["imgurl"] = value; }
        }

        public string Text
        {
            get { return ViewState["text"] as string; }
            set { ViewState["text"] = value; }
        }

        protected override void RenderContents(HtmlTextWriter writer)
        {
            base.RenderContents(writer);
            writer.WriteFullBeginTag("center");
            writer.WriteBeginTag("img");
            writer.WriteAttribute("name", this.UniqueID);
            writer.WriteAttribute("src", ImageUrl);
            writer.WriteAttribute("onclick", Page.ClientScript.GetPostBackEventReference(this, string.Empty));
            writer.Write("/>");
            writer.Write("<br />");
            writer.Write(Text);
            writer.WriteEndTag("center");
        }




        public void RaisePostBackEvent(string eventArgument)
        {
            Click(this, EventArgs.Empty);
        }
    }
}